@charset "UTF-8";

section#itemDetail-wrap .cartArea.self-made {
  background-color: #ECE2DD;
  border-radius: 5px;
  padding: 16px 20px;
  letter-spacing: 1px;
}

/* 1行をグリッド化 */
section#itemDetail-wrap .cartArea.self-made tr.selfcart-row{
  display: grid !important;

  grid-template-columns: 125px 1fr 83px;
  /*   画像      info      個数  */

  grid-template-areas:
    "img  info  cnt"
    "img  btn   btn";

  column-gap: 25px;
  row-gap: 6px;
  width: 100%;
}
/* エリア割当 */
td.selfcart-col-img  { grid-area: img; }
td.selfcart-col-info { grid-area: info; }
td.selfcart-col-cnt  { grid-area: cnt; }
td.selfcart-col-btn  { grid-area: btn; }

section#itemDetail-wrap .cartArea.self-made table.selfcart-table {
  width: 100%;
  border-collapse: collapse;
}
section#itemDetail-wrap .cartArea.self-made table.selfcart-table tr {
  border-bottom: none;
}
section#itemDetail-wrap .cartArea.self-made .selfcart-row td {
  vertical-align: middle;
  text-align: left;
}
section#itemDetail-wrap .cartArea table.selfcart-table td {
  border: none;
}


/* thead */
section#itemDetail-wrap .cartArea.self-made .selfcart-thead th.selfcart-title {
  border: none;
  padding: 5px 0 15px;
  font-size: 14px;
  line-height: 1.4;
  font-weight: normal;
  letter-spacing: 0.01em;
}
section#itemDetail-wrap .cartArea.self-made .selfcart-thead th.selfcart-title span {
  font-size: 20px;
  font-weight: bold;
  color: #e63946;
  display: block;
  padding-bottom: 10px;
  letter-spacing: 0.1em;
}

/* 画像列 */
section#itemDetail-wrap .cartArea.self-made .selfcart-col-img {
  /* padding: 0 5px 20px; */
  padding: 0;
  border: none;
}
section#itemDetail-wrap .cartArea.self-made .selfcart-img {
  max-width: 100%;
  height: auto;
  display: inline-block;
}

/* 商品名＋価格列 */
section#itemDetail-wrap .cartArea.self-made .selfcart-col-info {
  width: 100%;
  padding: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
section#itemDetail-wrap .cartArea.self-made .selfcart-name {
  font-size: 17px;
  font-weight: normal;
  line-height: 1.2;
  margin-bottom: 0;
}
section#itemDetail-wrap .cartArea.self-made .selfcart-price {
  font-size: 22px;
  font-weight: normal;
  line-height: 1.2;
  margin-top: 3px;
}
section#itemDetail-wrap .cartArea.self-made .selfcart-tax {
  font-size: 12px;
  padding-left: 3px;
}

/* 数量列 */
section#itemDetail-wrap .cartArea.self-made .selfcart-col-cnt {
  box-sizing: border-box;
  width: 85px;
  height: 68px;
  text-align: center;
  display: flex;
  align-items: center;
  gap: 5px;
  padding: 0;
}
section#itemDetail-wrap .cartArea.self-made .selfcart-cnt {
  width: 66px;
  height: 35px !important;
  text-align: left;
  font-size: 14px;
  padding: 0px 6px;
}

/* ボタン列 */
section#itemDetail-wrap .cartArea.self-made .selfcart-col-btn {
  /* width: 260px; */
  text-align: center;
  padding: 0;
}
section#itemDetail-wrap .cartArea.self-made .selfcart-btn {
  width: 100%;
  padding: 12px 12px 13px;
  font-size: 17px;
  font-weight: normal;
  color: #ffffff;
  text-align: center;
  background-color: #cd9589;
  border-radius: 3px;
  border: none;
  height: auto;
  display: inline-block;
}

@media screen and (max-width: 960px){
  /* 1行をグリッド化 */
  section#itemDetail-wrap .cartArea.self-made tr.selfcart-row{
    grid-template-columns: 70px 1fr 69px;
    /*   画像      info      個数  */

    grid-template-areas:
      "img  info  cnt"
      "btn  btn   btn";

    column-gap: 10px;
    row-gap: 10px;
  }

  /* 画像列 */
  section#itemDetail-wrap .cartArea.self-made .selfcart-img {
    width: 70px;
  }

  /* 商品名＋価格列 */
  section#itemDetail-wrap .cartArea.self-made .selfcart-name {
    font-size: 15px;
  }
  section#itemDetail-wrap .cartArea.self-made .selfcart-price {
    font-size: 20px;
  }

  /* 数量列 */
  section#itemDetail-wrap .cartArea.self-made .selfcart-col-cnt {
    height: 70px;
  }
  section#itemDetail-wrap .cartArea.self-made .selfcart-cnt {
    width: 50px;
  }

  /* ボタン列 */
  section#itemDetail-wrap .cartArea.self-made .selfcart-btn {
    padding: 9px 12px 10px;
    font-size: 15px;
  }
}

@media screen and (max-width: 580px){
  /* 1行をグリッド化 */
  section#itemDetail-wrap .cartArea.self-made tr.selfcart-row{
    grid-template-columns: 100px 1fr 76px;
    column-gap: 15px;
    row-gap: 10px;
  }

  /* thead */
  section#itemDetail-wrap .cartArea.self-made .selfcart-thead th.selfcart-title {
    font-size: 3.5vw;
  }
  section#itemDetail-wrap .cartArea.self-made .selfcart-thead th.selfcart-title span {
    font-size: 4.3vw;
  }

  /* 画像列 */
  section#itemDetail-wrap .cartArea.self-made .selfcart-img {
    width: 100px;
  }

  /* 商品名＋価格列 */
  section#itemDetail-wrap .cartArea.self-made .selfcart-name {
    font-size: 4vw;
  }
  section#itemDetail-wrap .cartArea.self-made .selfcart-price {
    font-size: 4.3vw;
  }
  section#itemDetail-wrap .cartArea.self-made .selfcart-tax {
    font-size: 3vw;
  }

  /* 数量列 */
  section#itemDetail-wrap .cartArea.self-made .selfcart-col-cnt {
    height: 100px;
  }
  section#itemDetail-wrap .cartArea.self-made .selfcart-cnt {
    width: 52px;
    height: 30px !important;
    font-size: 16px;
  }
  section#itemDetail-wrap .cartArea.self-made .selfcart-col-cnt span.selfcart-count {
    font-size: 3.5vw;
  }

  /* ボタン列 */
  section#itemDetail-wrap .cartArea.self-made .selfcart-btn {
    padding: 14px 12px 15px;
    font-size: 4vw;
  }
}

@media screen and (max-width: 480px){
  /* 1行をグリッド化 */
  section#itemDetail-wrap .cartArea.self-made tr.selfcart-row{
    column-gap: 10px;
    row-gap: 10px;
  }
}

@media screen and (max-width: 375px){
  /* 1行をグリッド化 */
  section#itemDetail-wrap .cartArea.self-made tr.selfcart-row{
    grid-template-columns: 85px 1fr 50px;
    column-gap: 10px;
  }

  /* 画像列 */
  section#itemDetail-wrap .cartArea.self-made .selfcart-img {
    width: 85px;
  }

  /* 数量列 */
  section#itemDetail-wrap .cartArea.self-made .selfcart-col-cnt {
    height: 85px;
  }
  section#itemDetail-wrap .cartArea.self-made .selfcart-cnt {
    width: 30px;
  }
}




/* =========================
   独自カートボタン disabled
========================= */
.selfcart-btn[disabled]{
  opacity: .6;
  cursor: not-allowed;
}

/* =========================
   ポップアップ全体
========================= */
.selfcart-modal{
  position: fixed;
  inset: 0;
  z-index: 99999;
}

.selfcart-modal__bg{
  position: absolute;
  inset: 0;
  background: #aaa;
  opacity: .3;
}

/* =========================
   ShopServe風ポップアップ本体
========================= */
#selfcart-modal #sps-cartaddModal{
  position: relative;
  max-width: 720px;
  width: calc(100% - 40px);
  margin: auto;
  top: 43%;
  right: 0;
  left: 0;
  background: #fff;
  padding: 28px 36px;
  box-sizing: border-box;
}

/* 閉じるアイコン */
#selfcart-modal .sps-cartaddModalClose{
  cursor: pointer;
}

/* =========================
   ボタンエリア
========================= */
#selfcart-modal .sps-cartaddBtnContent{
  display: flex !important;
  justify-content: center;
  align-items: center;
  margin-top: 20px;
  flex-direction: row-reverse;
}

/* カートを見る */
#selfcart-modal .selfcart-cart-link{
  width: 202px;
  height: 50px;
  display: block;
  background: url(/SHOP/img/btn_cartaddGoToCart_seo.png) no-repeat center / contain;
  text-indent: -9999px;
  overflow: hidden;
}

/* 買い物を続ける */
#selfcart-modal .selfcart-continue-btn{
  cursor: pointer;
  margin: auto 12px 40px 0;
  width: 202px;
  height: 50px;
  float: left;
  background: url(/SHOP/img/btn_cartaddContinueShopping_seo.png) no-repeat center / contain;
  border: none;
  text-indent: -9999px;
  overflow: hidden;
  padding: 0;
}

/* floatの崩れ防止 */
#selfcart-modal .sps-cartaddClose,
#selfcart-modal .sps-cartaddCartlink{
  float: none !important;
}

/* =========================
   アニメーション
========================= */
.selfcart-modal{
  position: fixed;
  inset: 0;
  z-index: 99999;
}

.selfcart-modal__bg{
  position: absolute;
  inset: 0;
  background: #aaa;
  opacity: 0;
  transition: opacity .4s ease;
}

#selfcart-modal #sps-cartaddModal{
  position: relative;
  max-width: 720px;
  width: calc(100% - 40px);
  margin: auto;
  top: 40%;
  right: 0;
  left: 0;
  background: #fff;
  padding: 28px 36px;
  box-sizing: border-box;

  opacity: 0;
  transition: opacity .4s ease;
}

/* 開いた時 */
#selfcart-modal.is-open .selfcart-modal__bg{
  opacity: .3;
}

#selfcart-modal.is-open #sps-cartaddModal{
  opacity: 1;
}

/* 閉じる時 */
#selfcart-modal.is-closing .selfcart-modal__bg{
  opacity: 0;
}

#selfcart-modal.is-closing #sps-cartaddModal{
  opacity: 0;
}

/* =========================
   SP
========================= */
@media (max-width: 768px){
  #selfcart-modal div.sps-cartaddClose {
    background: none;
  }
  #selfcart-modal #sps-cartaddModal{
    /* width: calc(100% - 24px); */
    width: 95% !important;
    padding: 20px 16px;
  }

  #selfcart-modal .sps-cartaddBtnContent{
    gap: 10px;
  }

  #selfcart-modal .selfcart-cart-link,
  #selfcart-modal .selfcart-continue-btn{
    width: 100%;
    max-width: 260px;
    margin: 0 auto;
    float: none;
  }
}

@media (max-width: 580px){
  #selfcart-modal div.sps-cartaddClose {
    margin: auto 0 40px 22px;
  }
}

@media (max-width: 480px){
  #selfcart-modal #sps-cartaddModal {
    width: 95% !important;
  }
  #selfcart-modal .sps-cartaddBtnContent{
    flex-direction: column;
  }
  #selfcart-modal div.sps-cartaddClose {
    margin: 0px auto 20px !important;
}
}